//
//  LJColumnChartView.h
//  LJChartViewDemo
//
//  Created by liujun on 2018/4/17.
//  Copyright © 2018年 liujun. All rights reserved.
// *ColumnChart

#import <UIKit/UIKit.h>

@interface LJColumnChartItem : NSObject

/** 柱形值 */
@property (nonatomic, strong) NSNumber *value;

/** x轴刻度值 */
@property (nonatomic, strong) NSString *scaleValue;

@end


@interface LJColumnChartView : UIView

/** 柱形图数据源 */
@property (nonatomic, strong) NSArray<LJColumnChartItem *> *columnChartItems;

/** 柱形颜色 默认 [UIColor grayColor] */
@property (nonatomic, strong) UIColor *columnColor;

/** 柱形宽 默认 10 */
@property (nonatomic, assign) CGFloat columnWidth;

/** 动画时间 默认 0.5s */
@property (nonatomic, assign) CGFloat animateDuration;

/** x轴刻度字体 默认 12 */
@property (nonatomic, assign) CGFloat scaleFontSize;

/** x轴刻度颜色 默认 [UIColor grayColor] */
@property (nonatomic, assign) UIColor *scaleColor;

/** 柱形值字体 默认 12 */
@property (nonatomic, assign) CGFloat valueFontSize;

/** 柱形值颜色 默认 [UIColor grayColor] */
@property (nonatomic, assign) UIColor *valueColor;

/** x轴线颜色 默认 [UIColor grayColor] */
@property (nonatomic, strong) UIColor *xAxisColor;

@end
