//
//  LJLineChartView.h
//  LJChartViewDemo
//
//  Created by liujun on 2018/4/18.
//  Copyright © 2018年 liujun. All rights reserved.
// * LineChartView

#import <UIKit/UIKit.h>

@interface LJLineChartView : UIView

/** x轴刻度数组 */
@property (nonatomic, strong) NSArray<NSString *> *xAxisScaleValues;

/** 数据源数组 二维数组(每个数字的对象个数要相同) */
@property (nonatomic, strong) NSArray<NSArray<NSNumber *> *> *dataArray;

/** dataArray中每条线对于的线条颜色 默认线条色都是灰色(数组对象的个数要和dataArray.count一致) */
@property (nonatomic, strong) NSArray<UIColor *> *colors;

/** 折线线宽 默认 2 */
@property (nonatomic, assign) NSInteger lineWidth;

/** y轴水平刻度线的数量 默认 4 条 */
@property (nonatomic, assign) NSInteger yAxisScaleLineCount;

/** 左边y轴刻度值宽度 默认60 */
@property (nonatomic, assign) CGFloat leftYAxisScaleWidth;

/** 左刻度值文字对其方式 默认 左对齐 */
@property (nonatomic, assign) NSTextAlignment leftYAxisScaleAlignment;

/** 左刻度值字体大小 默认 10 */
@property (nonatomic, assign) CGFloat leftYAxisScaleFontSize;

/** 左刻度值字体颜色 默认 灰色 */
@property (nonatomic, strong) UIColor *leftYAxisScaleColor;

/** x轴线的高度 默认 0.5 */
@property (nonatomic, assign) CGFloat xAxisLineHeight;

/** x轴线的颜色 默认 灰色 */
@property (nonatomic, strong) UIColor *xAxisLineColor;

/** x轴刻度值字体大小 默认 10 */
@property (nonatomic, assign) CGFloat xAxisScaleFontSize;

/** x轴刻度字体颜色 默认 灰色 */
@property (nonatomic, strong) UIColor *xAxisScaleColor;

/** x轴刻度高 默认 30 */
@property (nonatomic, assign) CGFloat xAxisScaleHeight;

/** 横线区域顶部间距 默认 10 */
@property (nonatomic, assign) CGFloat topMargin;

/** 动画时间 默认 0.5s */
@property (nonatomic, assign) CGFloat animateDuration;


//// 以下属性是针对右侧显示刻度时的操作 若无右侧刻度请勿使用以下属性
//// 对右侧刻度的操作需将showRightYAxisScale置为YES

/** 是否显示右侧y轴刻度 默认NO */
@property (nonatomic, assign) BOOL showRightYAxisScale;

/** dataArray中作为右侧刻度的那条线的索引 默认 0 */
@property (nonatomic, assign) NSInteger indexInDataArray;

/** 右边y轴刻度值宽度 默认35 */
@property (nonatomic, assign) CGFloat rightYAxisScaleWidth;

/** 右刻度值文字对其方式 默认 右对齐 */
@property (nonatomic, assign) NSTextAlignment rightYAxisScaleAlignment;

/** 右刻度值字体大小 默认 10 */
@property (nonatomic, assign) CGFloat rightYAxisScaleFontSize;

/** 右刻度值字体颜色 默认 灰色 */
@property (nonatomic, strong) UIColor *rightYAxisScaleColor;

@end
